Loading...
Searching...
No Matches
QXmppIq Class Reference
Stanzas

The QXmppIq class is the base class for all IQs. More...

`#include <QXmppIq.h>`

Inheritance diagram for QXmppIq:
[legend]
Collaboration diagram for QXmppIq:
[legend]

## Public Types

enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions

| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Detailed Description

The QXmppIq class is the base class for all IQs.

## Member Enumeration Documentation

## Type

enum QXmppIq::Type

This enum describes the type of IQ.

Enumerator
Error | Error response.
Get | Get request.
Set | Set request.
Result | Result.

## Constructor & Destructor Documentation

## QXmppIq()

QXmppIq::QXmppIq | ( | QXmppIq::Type | type = `QXmppIq::Get` | ) |

Constructs a QXmppIq with the specified type.

Parameters

  type |

## Member Function Documentation

## isXmppStanza()

bool QXmppIq::isXmppStanza | ( |  | ) | const

override virtual

Indicates if the QXmppStanza is a stanza in the XMPP sense (i. e. a message, iq or presence)

Since
  QXmpp 1.0

Reimplemented from QXmppNonza.

## setType()

void QXmppIq::setType | ( | QXmppIq::Type | type | ) |

Sets the IQ's type.

Parameters

  type |

## type()

QXmppIq::Type QXmppIq::type | ( |  | ) | const

Returns the IQ's type.

The documentation for this class was generated from the following files:

- QXmppIq.h
- QXmppIq.cpp